@if (true) {
  <sqtm-core-customisable-dialog
    [titleKey]="data.titleKey"
    [dialogId]="data.id"
    (confirm)="confirm()"
  >
    <sqtm-core-dialog-body>
      <div class="flex-column full-width full-height">
        <div class="optional-fields">
          <sqtm-core-optional-select-field
            #assigneeField
            [searchable]="true"
            [fieldName]="'assignee'"
            [i18nKey]="'sqtm-core.entity.execution.user-assignment'"
            [select]="true"
            [displayOptions]="userOptions"
            [attr.data-test-field-name]="'assignee'"
          >
          </sqtm-core-optional-select-field>
          <sqtm-core-optional-select-field
            #statusField
            [fieldName]="'executionStatus'"
            [i18nKey]="'sqtm-core.entity.execution.status.label'"
            [select]="true"
            [displayOptions]="statusOptions"
            [attr.data-test-field-name]="'status'"
          >
          </sqtm-core-optional-select-field>
        </div>
      </div>
    </sqtm-core-dialog-body>
  </sqtm-core-customisable-dialog>
}
